libzmf::ZMF4Parser::ObjectHeader Struct Reference

## Public Member Functions
| ObjectHeader ()

## Public Attributes
ObjectType | type
uint32_t | size
uint32_t | nextObjectOffset
boost::optional< uint32_t > | id
uint32_t | refObjCount
uint32_t | refListStartOffset

## Constructor & Destructor Documentation

## ◆ ObjectHeader()

libzmf::ZMF4Parser::ObjectHeader::ObjectHeader | ( |  | ) |
| inline

## Member Data Documentation

## ◆ id

boost::optional<uint32_t> libzmf::ZMF4Parser::ObjectHeader::id

Referenced by ObjectHeader(), and libzmf::ZMF4Parser::readObjectHeader().

## ◆ nextObjectOffset

uint32_t libzmf::ZMF4Parser::ObjectHeader::nextObjectOffset

Referenced by ObjectHeader(), libzmf::ZMF4Parser::readDocumentSettings(), libzmf::ZMF4Parser::readLayer(), libzmf::ZMF4Parser::readObjectHeader(), and libzmf::ZMF4Parser::readPage().

## ◆ refListStartOffset

uint32_t libzmf::ZMF4Parser::ObjectHeader::refListStartOffset

Referenced by ObjectHeader(), and libzmf::ZMF4Parser::readObjectHeader().

## ◆ refObjCount

uint32_t libzmf::ZMF4Parser::ObjectHeader::refObjCount

Referenced by ObjectHeader(), and libzmf::ZMF4Parser::readObjectHeader().

## ◆ size

uint32_t libzmf::ZMF4Parser::ObjectHeader::size

Referenced by ObjectHeader(), and libzmf::ZMF4Parser::readObjectHeader().

## ◆ type

ObjectType libzmf::ZMF4Parser::ObjectHeader::type

Referenced by ObjectHeader(), libzmf::ZMF4Parser::readDocumentSettings(), libzmf::ZMF4Parser::readLayer(), libzmf::ZMF4Parser::readObjectHeader(), and libzmf::ZMF4Parser::readPage().

The documentation for this struct was generated from the following file:

- ZMF4Parser.h